*
Retrieves the SCIM Mapping of a tenant. Permission level: read
GET /scim-mappings
Operation id: ScimMappingService_GetMapping
Tags: ScimMappingService
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | The Tenant ID of the SCIM Mapping. Required: false. Default: token's tenant. |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
mapping | object | No |
{
"type": "object",
"properties": {
"mapping": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The Tenant ID of the SCIM Mapping. There can only be one SCIM Mapping per tenant.\nRequired: false. Default: token's tenant."
},
"defaultDomain": {
"type": "string",
"description": "the default domain of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: platform."
},
"defaultScope": {
"type": "string",
"description": "the default scope of the template, this value is used if a scim_attribute is not mapped in the template.\nRequired: false. Default: core."
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scimAttribute": {
"type": "string",
"description": "The SCIM attribute in the source system. Required: true."
},
"userField": {
"type": "object",
"description": "Represents the target user field - either a predefined domain field or a custom attribute."
},
"scope": {
"type": "string",
"description": "The attribute scope. Required: false. Defaults to the value from default_scope."
},
"domain": {
"type": "string",
"description": "The attribute domain. Required: false. Defaults to the value from default_domain."
},
"mappingMode": {
"type": "string",
"description": "Controls whether ASSIGNED_ROLES and SELECTED_DEPARTMENTS are merged with or replace existing site-level values.",
"enum": [
"ADDITIVE",
"AUTHORITATIVE"
],
"default": "ADDITIVE"
}
}
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}